This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 816120 - Cannot save correctly an empty process in Designer
Cannot save correctly an empty process in Designer
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Sona Mala
:
: 817076 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 06:02 EDT by Jiri Svitak
Modified: 2015-06-01 21:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atangrin: needinfo+


Attachments (Terms of Use)
Exceptions in server.log (17.36 KB, text/plain)
2012-04-25 06:02 EDT, Jiri Svitak
no flags Details

  None (edit)
Description Jiri Svitak 2012-04-25 06:02:16 EDT
Created attachment 580120 [details]
Exceptions in server.log

Cannot save correctly an empty process in Designer. I have an empty business process in Designer. I try to save it and I receive error 400. I think that it should be possible to save empty processes too. But what is definitely wrong is that this process despite of error is partially saved and is visible in the list of processes of a package. And this process was not saved correctly so it is not possible to open it. I try to open it and I receive error 400 again. I have attached a server log which contains thrown exceptions while creating, saving and opening a business process.
Comment 1 Tihomir Surdilovic 2012-04-25 08:32:02 EDT
This is a current Guvnor limitation. In order to store a process it needs one and only one process definition defined in the bpmn2. Does this need to be fixed for BRMS 5.3?
Comment 2 Jiri Svitak 2012-04-25 08:40:47 EDT
I understand that it supports just one process definition, but the Designer should at least explain to a user that this is not possible. An error 400 tells nothing. Creating corrupted process definition in processes list makes no sense too. Setting to ASSIGNED.
Comment 3 Tihomir Surdilovic 2012-04-25 08:49:05 EDT
Ok chill out. The BPMN2 Designer creates is perfectly legal XML. The issue is that Guvnor needs at least one process definition in there, like:

<process ....>

</process>

in order to actually store the process. This limitation IMO should be lifted but my question was about the current status of BRMS 5.3 which was not answered - if this is not a blocked should we still work on it?

Thanks.
Comment 5 Tihomir Surdilovic 2012-04-25 10:21:45 EDT
Fixed Designer to include the process element when there are no nodes present on the canvas. Checked into Designer master and 2.2.x branches.

Thanks
Comment 6 Jiri Locker 2012-04-27 11:31:39 EDT
*** Bug 817076 has been marked as a duplicate of this bug. ***
Comment 7 Jiri Locker 2012-04-27 11:36:14 EDT
The duplicate was filed because this bug had it's version unspecified. Setting to BRMS 5.3.0.GA.
Comment 8 Ryan Zhang 2012-05-10 22:10:27 EDT
This has been fixed and commited in 2.2.x branch which we used for product as Tihomir pointed out.
I think Tihomir might not see Lukas's comments since it happens so closely.

I would have to assign it Anne to where it should go.
Comment 9 Ryan Zhang 2012-05-10 23:35:00 EDT
It has  actually fixed in project. Change status to needinfo instead of
Assigned.
Comment 11 Ryan Zhang 2012-05-14 04:17:20 EDT
The fixed for this issue should be included in ER7. Please do verification on it.
Comment 12 Sona Mala 2012-05-18 03:42:49 EDT
Verified for BRMS 5.3.0 ER7:
  1. create new process
  2. click save (and close)
  3. close tab
  4. open process

Everything is ok, there is no alert.

Note You need to log in before you can comment on or make changes to this bug.